### Hierarchy

- FileInstance

## Index

### Properties

- name
- release
- size
- slice
- type

## Properties

### name

name: string

- Defined in lib/api/upload/file.ts:20

### Optional release

release: function

- Defined in lib/api/upload/file.ts:24

#### Type declaration

- - (): void

  - #### Returns void

### size

size: number

- Defined in lib/api/upload/file.ts:22

### slice

slice: function

- Defined in lib/api/upload/file.ts:23

#### Type declaration

- - (start: number, end: number): Promise<ArrayBuffer>

  - #### Parameters

    - ##### start: number

    - ##### end: number

    #### Returns Promise<ArrayBuffer>

### type

type: string

- Defined in lib/api/upload/file.ts:21